Package org.drinkless.tdlib

# Class TdApi.ForumTopicInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ForumTopicInfo

Enclosing class:
  `TdApi`

public static class TdApi.ForumTopicInfo extends TdApi.Object
Contains basic information about a forum topic.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of a forum supergroup chat or a chat with a bot to which the topic belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `creationDate`
  Point in time (Unix timestamp) when the topic was created.
  `TdApi.MessageSender`
  `creatorId`
  Identifier of the creator of the topic.
  `int`
  `forumTopicId`
  Forum topic identifier of the topic.
  `TdApi.ForumTopicIcon`
  `icon`
  Icon of the topic.
  `boolean`
  `isClosed`
  True, if the topic is closed.
  `boolean`
  `isGeneral`
  True, if the topic is the General topic.
  `boolean`
  `isHidden`
  True, if the topic is hidden above the topic list and closed; for General topic only.
  `boolean`
  `isNameImplicit`
  True, if the name of the topic wasn't added explicitly.
  `boolean`
  `isOutgoing`
  True, if the topic was created by the current user.
  `String`
  `name`
  Name of the topic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForumTopicInfo()`
  Contains basic information about a forum topic.
  `ForumTopicInfo(long chatId, int forumTopicId, String name, TdApi.ForumTopicIcon icon, int creationDate, TdApi.MessageSender creatorId, boolean isGeneral, boolean isOutgoing, boolean isClosed, boolean isHidden, boolean isNameImplicit)`
  Contains basic information about a forum topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of a forum supergroup chat or a chat with a bot to which the topic belongs.

  - ### forumTopicId

    public int forumTopicId
    Forum topic identifier of the topic.

  - ### name

    public String name
    Name of the topic.

  - ### icon

    public TdApi.ForumTopicIcon icon
    Icon of the topic.

  - ### creationDate

    public int creationDate
    Point in time (Unix timestamp) when the topic was created.

  - ### creatorId

    public TdApi.MessageSender creatorId
    Identifier of the creator of the topic.

  - ### isGeneral

    public boolean isGeneral
    True, if the topic is the General topic.

  - ### isOutgoing

    public boolean isOutgoing
    True, if the topic was created by the current user.

  - ### isClosed

    public boolean isClosed
    True, if the topic is closed. If the topic is closed, then the user must have canManageTopics administrator right in the supergroup or must be the creator of the topic to send messages there.

  - ### isHidden

    public boolean isHidden
    True, if the topic is hidden above the topic list and closed; for General topic only.

  - ### isNameImplicit

    public boolean isNameImplicit
    True, if the name of the topic wasn't added explicitly.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForumTopicInfo

    public ForumTopicInfo()
    Contains basic information about a forum topic.

  - ### ForumTopicInfo

    public ForumTopicInfo(long chatId, int forumTopicId, String name, TdApi.ForumTopicIcon icon, int creationDate, TdApi.MessageSender creatorId, boolean isGeneral, boolean isOutgoing, boolean isClosed, boolean isHidden, boolean isNameImplicit)
    Contains basic information about a forum topic.
    Parameters:
      `chatId` - Identifier of a forum supergroup chat or a chat with a bot to which the topic belongs.
      `forumTopicId` - Forum topic identifier of the topic.
      `name` - Name of the topic.
      `icon` - Icon of the topic.
      `creationDate` - Point in time (Unix timestamp) when the topic was created.
      `creatorId` - Identifier of the creator of the topic.
      `isGeneral` - True, if the topic is the General topic.
      `isOutgoing` - True, if the topic was created by the current user.
      `isClosed` - True, if the topic is closed. If the topic is closed, then the user must have canManageTopics administrator right in the supergroup or must be the creator of the topic to send messages there.
      `isHidden` - True, if the topic is hidden above the topic list and closed; for General topic only.
      `isNameImplicit` - True, if the name of the topic wasn't added explicitly.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR